//////////////////////////////////////////
// FileList.cpp
//Copyright (c) 02/08/2022 by BCCSkelton
//////////////////////////////////////////
#include	"DLL.h"
#include	"FileList.h"
#include	"User.h"
#include	"FileListProc.h"

////////////////
// DLLMain関数
////////////////
int WINAPI DllMain(HINSTANCE hInstance, DWORD fdwReason, LPVOID lpReserved) {

	//CFILELISTクラスメンバー変数の初期化
	FileList.m_hInstance = hInstance;
	return TRUE;
}

EXPORT char* GetFileList(char* Filter1, char* Filter2, char* FilePath, char* Ext) {

	//ファイルフィルターの初期化
	g_LFlt = Filter1;
	g_MFlt = Filter2;
	//ファイルパスと拡張子
	g_Path = FilePath;
	g_Ext = Ext;
	//モーダルダイアログとして起動
	char* fn = (char*)FileList.DoModal(NULL, "IDD_MAIN", ModalProc, FileList.m_hInstance);
	if(*fn) {
		CSTR str(fn);
		str = str + "が選択されました。これでよろしいですか？";
		if(MessageBox(NULL, str.ToChar(), "ファイル選択最終確認", MB_YESNO | MB_ICONQUESTION) == IDNO)
			fn = "";
	}
	return fn;
}
